Digraph::OutArcIt Class Reference

- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions
Digraph::OutArcIt Class Reference

## Detailed Description

This iterator goes trough the outgoing arcs of a certain node of a digraph. Its usage is quite simple, for example, you can count the number of outgoing arcs of a node `n` in a digraph `g` of type `Digraph` as follows.

* int count=0;
* for (Digraph::OutArcIt a(g, n); a!=INVALID; ++a) ++count;
*

`#include <lemon/concepts/digraph.h>`

Inheritance diagram for Digraph::OutArcIt:
[legend]

## Public Member Functions
| OutArcIt ()
| Default constructor. More...
| OutArcIt (const OutArcIt &e)
| Copy constructor. More...
| OutArcIt (Invalid)
| Invalid constructor & conversion. More...
| OutArcIt (const Digraph &, const Node &)
| Sets the iterator to the first outgoing arc. More...
| OutArcIt (const Digraph &, const Arc &)
| Sets the iterator to the given arc. More...
OutArcIt & | operator++ ()
| Next outgoing arc. More...
Public Member Functions inherited from Digraph::Arc
| Arc ()
| Default constructor. More...
| Arc (const Arc &)
| Copy constructor. More...
| Arc (Invalid)
| Invalid constructor & conversion. More...
bool | operator== (Arc) const
| Equality operator. More...
bool | operator!= (Arc) const
| Inequality operator. More...
bool | operator< (Arc) const
| Artificial ordering operator. More...

## Constructor & Destructor Documentation

OutArcIt | ( |  | ) |
| inline

Default constructor.

Warning
  It sets the iterator to an undefined value.

OutArcIt | ( | const OutArcIt & | e | ) |
| inline

Copy constructor.

OutArcIt | ( | Invalid |  | ) |
| inline

Initializes the iterator to be invalid.

See Also
  Invalid for more details.

OutArcIt | ( | const Digraph & | ,
|  | const Node & |
| ) |  |
| inline

Sets the iterator to the first outgoing arc of the given node.

OutArcIt | ( | const Digraph & | ,
|  | const Arc & |
| ) |  |
| inline

Sets the iterator to the given arc of the given digraph.

## Member Function Documentation

OutArcIt& operator++ | ( |  | ) |
| inline

Assign the iterator to the next outgoing arc of the corresponding node.